--- qt.SlackBuild	2006-08-23 18:11:02.000000000 -0400
+++ qt.SlackBuild.s390x	2006-09-09 01:31:09.000000000 -0400
@@ -2,8 +2,8 @@
 # Build Qt
 
 # Set the config option variables if they are not already set:
-if [ -r ../KDE.options ]; then
-  . ../KDE.options
+if [ -r ../KDE.options.s390x ]; then
+  . ../KDE.options.s390x
 fi
 
 # The global options may be overridden here (if needed):
@@ -26,6 +26,9 @@
 tar xjvf $CWD/qt-x11-free-$VERSION.tar.bz2
 mv qt-x11-free-$VERSION qt
 cd qt
+# This is needed because QT gets confused between where to install things, versus where
+# it is building them as it goes along
+ln -sf lib lib64
 QTDIR=`pwd`
 export QTDIR
 export YACC='byacc -d'
@@ -85,7 +88,9 @@
  -plugin-style-platinum \
  -plugin-style-sgi \
  -plugin-style-windows \
- -enable-opengl
+ -enable-opengl \
+ -platform linux-g++-64 \
+ -libdir /usr/lib/qt/lib64
 
 # We're using '-i' to work around a bug where the build tries to strip html files.
 # Build the important stuff:
@@ -145,10 +150,16 @@
     ln -sf /usr/lib/qt/bin/$file .
   done )
 
-( cd $PKG/usr/lib/qt/lib
+( cd $PKG/usr/lib/qt/
+  rm lib64 ; mv lib lib64
+  cd lib64
   strip --strip-unneeded *.so
   rm README )
 
+( cd $PKG/usr/lib/qt/ 
+  # Fix the qmake.conf file
+  cat $CWD/qmake.conf.diff | patch -p0 --verbose )
+
 ( cd $PKG/usr/lib/qt/plugins
   strip --strip-unneeded */*.so
   cd ..
@@ -176,7 +187,7 @@
 fi
 
 mkdir -p $PKG/install
-zcat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
 cat $CWD/slack-desc > $PKG/install/slack-desc
 
 ## Maybe something for later?  :-)
